love.graphics.setDefaultFilter("nearest","nearest")

require "Player"
require "Menu"
require "Level"
require "Projectile"
require "Camera"

function love.load()
    window.width = love.graphics.getWidth()
    window.height = love.graphics.getHeight()
    worldScale = (window.height / 216)
    Large = love.graphics.newFont("Sprites/font.otf",72)


    loadPlayer()
    loadLevel(1)
end

function newAnimation(image, width, height, duration)
    local animation = {}
    animation.spriteSheet = image;
    animation.quads = {};
 
    for y = 0, image:getHeight() - height, height do
        for x = 0, image:getWidth() - width, width do
            table.insert(animation.quads, love.graphics.newQuad(x, y, width, height, image:getDimensions()))
        end
    end
 
    animation.duration = duration or 1
    animation.currentTime = 0
 
    return animation
end

function love.update(dt)
    updatePlayer(dt)
    updateLevel(dt)
    updateAnimation(dt)
    updateMenu(dt)

end

function love.draw()
    camera:set()
    drawLevel()
    drawPlayer()
    drawButton()
    buttonMouse(x,y)
    camera:unset()
    
    
end

function love.mousepressed(x, y, button, istouch)
    buttonClick(x,y)
end

function love.quit()
    love.event.quit()
end